Bug 7043 - masthead_search id used twice in template
Summary: masthead_search id used twice in template
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-17 13:48 UTC by Nicole C. Engard
Modified: 2012-10-25 23:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (2.12 KB, patch)
2011-10-17 15:54 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Fix for Bug 7043 - masthead_search id used twice in template (2.15 KB, patch)
2011-10-17 15:57 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-10-17 13:48:18 UTC
masthead_search is the ID of two selected on the OPAC - IDs should be unique.



<select name="idx" id="masthead_search" class="left" style="max-width: 10em; width: 10em;">

<select name="limit" id="masthead_search" class="left" style="max-width: 10em; width: 10em;">
Comment 1 Katrin Fischer 2011-10-17 14:07:41 UTC
If someone is already in there... 

it would be nice if the style could be moved into the CSS files, so that width can be changed easier.
Comment 2 Nicole C. Engard 2011-10-17 14:09:45 UTC
I was going to edit the ID bit, but don't know much about moving things to the CSS so I'll leave this one to Owen to make it just right :)

Nicole
Comment 3 Owen Leonard 2011-10-17 15:54:18 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2011-10-17 15:57:40 UTC
Created attachment 5934 [details] [review]
[SIGNED-OFF] Fix for Bug 7043 - masthead_search id used twice in template

Changing ID of library selector, and moving inline styles to
the CSS as requested by kf in the bug comments.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 5 Ian Walls 2011-10-17 16:09:23 UTC
Simple template only change, improves compliance with standards.  No string changes.  Marking as Passed QA.
Comment 6 Chris Cormack 2011-10-18 03:08:01 UTC
Pushed to master, please test
Comment 7 Katrin Fischer 2011-11-27 21:47:35 UTC
Checked on current HEAD. 
OpacAddMastheadLibraryPulldown has to be turned on to see select_library id in the source code.